www.cendio.com

Bug 4533

Summary: SSH Banner is displayed twice
Product: ThinLinc Reporter: Peter ├ůstrand <astrand@cendio.se>
Component: ClientAssignee: Samuel Mannehed <samuel@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: hean01@cendio.se, samuel@cendio.se
Version: trunkKeywords: ossman_tester, relnotes
Target Milestone: 4.9.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:

Description From cendio 2013-02-05 14:01:35
SSH allows you to display a "banner" when logging in, for example by adding
this to sshd_config:

Banner /etc/issue

The TL client has support for displaying such a banner as a dialog box.
However, since you are connecting with SSH twice, the banner will also be
displayed two times, which may be confusing for the end user. 

we could consider displaying the banner only when connecting to the master, or
the agent. Or, we could avoid the second banner if it has the same contents as
the previous one.
------- Comment #3 From cendio 2018-02-15 18:19:41 -------
Tests on Fedora 27 indicate that the fix works well.
------- Comment #5 From cendio 2018-02-21 10:16:53 -------
There is a missing entry in release note for this fix.
------- Comment #7 From cendio 2018-02-22 17:27:07 -------
Reopening since we have decided to consider the case where there are two
different SSH banners, one on the master and one on the agent. In this case we
want to display both of them. The only case where we hide a SSH banner is when
the one from the master and the agent are identical.
------- Comment #10 From cendio 2018-02-26 18:43:05 -------
Fixed now. I have tested using two Ubuntu 16.04 servers. The test cases are:

* only banner on agent
* only banner on master
* identical banners on agent and master
* different banners on agent and master
------- Comment #11 From cendio 2018-02-28 12:44:03 -------
Tested on Fedora 26:

* no banner on any machine
* only banner on agent
* only banner on master
* identical banners on agent and master
* different banners on agent and master

No problems seen.